<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Parser Model</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 40px;
            background-color: #f4f4f4; /* Set your desired background color */
        }

        h1 {
            color: #333;
        }

        form {
            max-width: 500px;
            margin: 40px 0;
            padding: 25px;
            border: 1px solid #ccc;
            border-radius: 5px;
            background-color: #fff; /* Set your desired background color */
        }

        label {
            display: block;
            margin-bottom: 5px;
            color: #555;
        }

        input, select {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            box-sizing: border-box;
            border: 1px solid #ccc;
            border-radius: 3px;
        }

        input[type="submit"] {
            background-color: #8dbe8f;
            color: white;
            cursor: pointer;
        }

        input[type="submit"]:hover {
            background-color: #3c7a3f;
        }

        .highlight-box {
            background-color: #ddd; /* Set your desired highlighted box background color */
            padding: 10px;
            border-radius: 5px;
            margin-top: 15px; /* Adjust as needed */
        }

        p {
            margin-top: 10px;
            color: #333;
        }

        p.error {
            color: red;
        }

        p.message {
            color: rgb(121, 120, 177);
        }
    </style>
</head>
<body>
    <h1>Parser Model Output</h1>

    <p>The Usecase specific document is in unstructured format. It is then converted into structured text (entities, relationship, triplet form) using parse model. This structured text will then be sent to the next node to construct Knowledge Graph in graph database.</p>

    {% if structured_data %}
    <div class="highlight-box">
        <h2>Parsed Ouput of the Usecase specific data</h2>
        <p>{{ structured_data }}</p>
    </div>
    {% endif %}

    {% if KGmoduleStatus %}
        <div class="highlight-box">
            <h2>Status of Knowledge graph </h2>
            <p>{{ KGmoduleStatus }}</p>
        </div>
    {% endif %}
</body>
</html>